Search for format

  1. Search 7.x for format
  2. Search 9.5.x for format
  3. Search 8.9.x for format
  4. Search 10.3.x for format
  5. Search 11.x for format
  6. Other projects
Title Object type File name Summary
hook_field_formatter_third_party_settings_form function core/modules/field_ui/field_ui.api.php Allow modules to add settings to field formatters provided by other modules.
hook_filter_format_disable function core/modules/filter/filter.api.php Perform actions when a text format has been disabled.
hook_user_format_name_alter function core/modules/user/user.api.php Alter the username that is displayed for a user.
HtmlResponseAttachmentsProcessor::formatHttpHeaderAttributes function core/lib/Drupal/Core/Render/HtmlResponseAttachmentsProcessor.php Formats an attribute string for an HTTP header.
HTMLRestrictions::fromTextFormat function core/modules/ckeditor5/src/HTMLRestrictions.php Constructs a set of HTML restrictions matching the given text format.
HtmxDynamicFormTest::testWrapperFormat function core/tests/Drupal/FunctionalJavascriptTests/Core/Htmx/HtmxDynamicFormTest.php Verify that the _wrapper_format query parameter is set by htmx-assets.js.
HtmxRendererTest::testWrapperFormat function core/tests/Drupal/KernelTests/Core/Htmx/HtmxRendererTest.php Test triggering the renderer with _wrapper_format.
HtmxTestAttachmentsController::withWrapperFormat function core/modules/system/tests/modules/test_htmx/src/Controller/HtmxTestAttachmentsController.php Builds a response with the wrapper format parameter on the request.
HttpExceptionSubscriberBase::getHandledFormats function core/lib/Drupal/Core/EventSubscriber/HttpExceptionSubscriberBase.php Specifies the request formats this subscriber will respond to.
IdConflictForm::formatConflicts function core/modules/migrate_drupal_ui/src/Form/IdConflictForm.php Formats a set of failing audit results as strings.
image-formatter.html.twig file core/modules/image/templates/image-formatter.html.twig Default theme implementation to display a formatted image field.
image-formatter.html.twig file core/themes/stable9/templates/field/image-formatter.html.twig Theme override to display a formatted image field.
image-formatter.html.twig file core/themes/starterkit_theme/templates/field/image-formatter.html.twig Theme override to display a formatted image field.
ImageFieldDisplayTest::testImageFieldFormattersPrivate function core/modules/image/tests/src/Functional/ImageFieldDisplayTest.php Tests image formatters on node display for private files.
ImageFieldDisplayTest::testImageFieldFormattersPublic function core/modules/image/tests/src/Functional/ImageFieldDisplayTest.php Tests image formatters on node display for public files.
ImageFieldDisplayTest::_testImageFieldFormatters function core/modules/image/tests/src/Functional/ImageFieldDisplayTest.php Tests image formatters on node display.
ImageFormatter class core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Plugin implementation of the 'image' formatter.
ImageFormatter.php file core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php
ImageFormatter::calculateDependencies function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Calculates dependencies for the configured plugin.
ImageFormatter::create function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Instantiates a new instance of the implementing class using autowiring.
ImageFormatter::defaultSettings function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Defines the default settings for this plugin.
ImageFormatter::onDependencyRemoval function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Informs the plugin that some configuration it depends on will be deleted.
ImageFormatter::settingsForm function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Returns a form to configure settings for the formatter.
ImageFormatter::settingsSummary function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Returns a short summary for the current formatter settings.
ImageFormatter::viewElements function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Builds a renderable array for a field value.
ImageFormatter::__construct function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatter.php Constructs a FormatterBase object.
ImageFormatterBase class core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatterBase.php Base class for image file formatters.
ImageFormatterBase.php file core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatterBase.php
ImageFormatterBase::getEntitiesToView function core/modules/image/src/Plugin/Field/FieldFormatter/ImageFormatterBase.php Returns the referenced entities for display.
ImageFormatterTest class core/modules/image/tests/src/Kernel/ImageFormatterTest.php Tests the image field rendering using entity fields of the image field type.
ImageFormatterTest.php file core/modules/image/tests/src/Kernel/ImageFormatterTest.php
ImageFormatterTest::$bundle property core/modules/image/tests/src/Kernel/ImageFormatterTest.php
ImageFormatterTest::$display property core/modules/image/tests/src/Kernel/ImageFormatterTest.php
ImageFormatterTest::$entityType property core/modules/image/tests/src/Kernel/ImageFormatterTest.php
ImageFormatterTest::$fieldName property core/modules/image/tests/src/Kernel/ImageFormatterTest.php
ImageFormatterTest::$modules property core/modules/image/tests/src/Kernel/ImageFormatterTest.php Modules to install.
ImageFormatterTest::assertCacheTags function core/modules/image/tests/src/Kernel/ImageFormatterTest.php Asserts that a renderable array has a set of cache tags.
ImageFormatterTest::setUp function core/modules/image/tests/src/Kernel/ImageFormatterTest.php Set the default field storage backend for fields created during tests.
ImageFormatterTest::testImageFormatterCacheTags function core/modules/image/tests/src/Kernel/ImageFormatterTest.php Tests the cache tags from image formatters.
ImageFormatterTest::testImageFormatterSvg function core/modules/image/tests/src/Kernel/ImageFormatterTest.php Tests ImageFormatter's handling of SVG images.
ImageFormatterTest::testImageFormatterUrlOptions function core/modules/image/tests/src/Kernel/ImageFormatterTest.php Tests Image Formatter URL options handling.
ImageStyleJsonAnonTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonAnonTest.php The format to use in this test.
ImageStyleJsonBasicAuthTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonBasicAuthTest.php The format to use in this test.
ImageStyleJsonCookieTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleJsonCookieTest.php The format to use in this test.
ImageStyleXmlAnonTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleXmlAnonTest.php The format to use in this test.
ImageStyleXmlBasicAuthTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleXmlBasicAuthTest.php The format to use in this test.
ImageStyleXmlCookieTest::$format property core/modules/image/tests/src/Functional/Rest/ImageStyleXmlCookieTest.php The format to use in this test.
ImageThemeFunctionTest::testImageFormatterTheme function core/modules/image/tests/src/Kernel/ImageThemeFunctionTest.php Tests usage of the image field formatters.
ImageThemeHooks::preprocessImageFormatter function core/modules/image/src/Hook/ImageThemeHooks.php Prepares variables for image formatter templates.
ImageUploadTest::createBasicFormat function core/modules/ckeditor5/tests/src/Functional/ImageUploadTest.php Create a basic_html text format for the editor to reference.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.